/*
 *  Copyright (C) 2013  Thadeu Lima de Souza Cascardo <cascardo@cascardo.info>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#include <sgp/share.h>

int main(int argc, char **argv)
{
	struct sgp_group *group;
	struct sgp_msg *msg;
	struct sgp_friend *friend;
	/* TODO: access a database here? */
	group = sgp_group_new("Myself");
	friend = sgp_friend_new("Thadeu Cascardo");
	msg = sgp_msg_new("New message for you");
	sgp_group_add_friend(group, friend);
	sgp_share(group, msg);
	return 0;
}
